import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "m502-313 89-156H109v-22h482l-89-156 263 167-263 167Z",
    "200": "m487.69-286.92 103.77-177.7H104.62v-30.76h486.84l-103.77-177.7L791.54-480 487.69-286.92Z",
    "300": "m463.85-243.46 128.38-213.85H97.31v-45.38h494.92L463.85-716.54 835.77-480 463.85-243.46Z",
    "400": "m440-200 153-250H90v-60h503L440-760l440 280-440 280Z",
    "500": "m436.41-193.54 148.94-252.39H85.93v-68.14h499.42L436.41-766.46 886.7-480 436.41-193.54Z",
    "600": "m431.52-184.74 143.39-255.65H80.39v-79.22h494.52L431.52-775.26 895.83-480 431.52-184.74Z",
    "700": "m425-173 136-260H73v-94h488L425-787l483 307-483 307Z"
  }
};
const LineEndArrowNotchW100 = createMaterialIcon("line_end_arrow_notch", pathData.regular[100]);
const LineEndArrowNotchW200 = createMaterialIcon("line_end_arrow_notch", pathData.regular[200]);
const LineEndArrowNotchW300 = createMaterialIcon("line_end_arrow_notch", pathData.regular[300]);
const LineEndArrowNotchW400 = createMaterialIcon("line_end_arrow_notch", pathData.regular[400]);
const LineEndArrowNotchW500 = createMaterialIcon("line_end_arrow_notch", pathData.regular[500]);
const LineEndArrowNotchW600 = createMaterialIcon("line_end_arrow_notch", pathData.regular[600]);
const LineEndArrowNotchW700 = createMaterialIcon("line_end_arrow_notch", pathData.regular[700]);
const LineEndArrowNotchFillW100 = createMaterialIcon("line_end_arrow_notch", pathData.regular[100]);
const LineEndArrowNotchFillW200 = createMaterialIcon("line_end_arrow_notch", pathData.regular[200]);
const LineEndArrowNotchFillW300 = createMaterialIcon("line_end_arrow_notch", pathData.regular[300]);
const LineEndArrowNotchFillW400 = createMaterialIcon("line_end_arrow_notch", pathData.regular[400]);
const LineEndArrowNotchFillW500 = createMaterialIcon("line_end_arrow_notch", pathData.regular[500]);
const LineEndArrowNotchFillW600 = createMaterialIcon("line_end_arrow_notch", pathData.regular[600]);
const LineEndArrowNotchFillW700 = createMaterialIcon("line_end_arrow_notch", pathData.regular[700]);

export { LineEndArrowNotchFillW100, LineEndArrowNotchFillW200, LineEndArrowNotchFillW300, LineEndArrowNotchFillW400, LineEndArrowNotchFillW500, LineEndArrowNotchFillW600, LineEndArrowNotchFillW700, LineEndArrowNotchW100, LineEndArrowNotchW200, LineEndArrowNotchW300, LineEndArrowNotchW400, LineEndArrowNotchW500, LineEndArrowNotchW600, LineEndArrowNotchW700 };
